# Created by pyp2rpm-3.3.3
%global pypi_name pytest-translations

Name:           python-%{pypi_name}
Version:        4.0.1
Release:        %mkrel 2
Summary:        Test your translation files
Group:          Development/Python
License:        Apache-2
URL:            https://github.com/Thermondo/pytest-translations
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(polib) >= 1.0.5
BuildRequires:  python3dist(pyenchant) >= 1.6.0
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
A py.test plugin to check gettext po & mo files.

Test check for:
- Spelling (using enchant & aspell)
- Consistency of mo files
- Obsolete translations
- Fuzzy translations

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(polib) >= 1.0.5
Requires:       python3dist(pyenchant) >= 1.6.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A py.test plugin to check gettext po & mo files.

Test check for:
- Spelling (using enchant & aspell)
- Consistency of mo files
- Obsolete translations
- Fuzzy translations

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf pytest_translations.egg-info/

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_translations
%{python3_sitelib}/pytest_translations-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 4.0.1-2.mga9
+ Revision: 1828533
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 4.0.1-1.mga9
+ Revision: 1777978
- version 4.0.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.0-3.mga9
+ Revision: 1732368
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1538958
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1463458
- imported package python-pytest-translations

